Name:           pdf-quench
Version:        1.0.1
Release:        %mkrel 1

License:        GPLv3
Summary:        Visual Tool for Cropping PDF Files
URL:            http://code.google.com/p/pdf-quench/
Group:          Office
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Requires:       python-pygoocanvas
Requires:       python-pypoppler
Requires:       python-pypdf
BuildArch:      noarch

%description
Pdf-Quench is a visual tool for cropping pdf files. It's made in pure
Python.

%prep
%setup -q

%build

%install
install -Dm 0755 pdf_quench %{buildroot}%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pdf-Quench
GenericName=Visual Tool for Cropping PDF Files
Type=Application
Exec=pdf-quench
Icon=pdf-quench
Categories=Office;Viewer;GTK;X-MandrivaLinux-Office-Viewer;
StartupNotify=true
Terminal=false
EOF

install -Dm 0644 %{name}.svg \
    %{buildroot}%{_datadir}/pixmaps/%{name}.svg

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg


%changelog
* Thu Aug 04 2016 adrianomorselli <adrianomorselli> 1.0.1-1uplos2012
- rebuild

* Sun Dec 16 2012 Ken <lxgator at gmail.com> 1.0.1-1pclos2012
- initial build

